using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace bitforum.Migrations.DefaultDb
{
    /// <inheritdoc />
    public partial class a5 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<short>(
                name: "Order",
                table: "BoardGroup",
                type: "smallint",
                nullable: false,
                comment: "순서",
                oldClrType: typeof(int),
                oldType: "int",
                oldComment: "순서");

            migrationBuilder.AlterColumn<int>(
                name: "Boards",
                table: "BoardGroup",
                type: "int",
                nullable: false,
                comment: "게시판 수",
                oldClrType: typeof(long),
                oldType: "bigint",
                oldComment: "게시판 수");

            migrationBuilder.AlterColumn<short>(
                name: "Order",
                table: "Board",
                type: "smallint",
                nullable: false,
                comment: "순서",
                oldClrType: typeof(int),
                oldType: "int",
                oldComment: "순서");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<int>(
                name: "Order",
                table: "BoardGroup",
                type: "int",
                nullable: false,
                comment: "순서",
                oldClrType: typeof(short),
                oldType: "smallint",
                oldComment: "순서");

            migrationBuilder.AlterColumn<long>(
                name: "Boards",
                table: "BoardGroup",
                type: "bigint",
                nullable: false,
                comment: "게시판 수",
                oldClrType: typeof(int),
                oldType: "int",
                oldComment: "게시판 수");

            migrationBuilder.AlterColumn<int>(
                name: "Order",
                table: "Board",
                type: "int",
                nullable: false,
                comment: "순서",
                oldClrType: typeof(short),
                oldType: "smallint",
                oldComment: "순서");
        }
    }
}
